Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 23/02/2013, à 11:58

nidecondor

[Résolu] Problème apt-get update - upgrade

Bonjour,

J'ai lancé hier des mises à jour avec apt-get update, tout s'est bien passé, mais au redémarrage de mon PC : panneau sens interdit en haut à droite de mon écran qui me dit :

"Une erreur est survenue. Veuillez exécuter le gestionnaire de paquets dans le menu contextuel ou apt-get dans le terminal pour voir ce qui est incorrect. Le message d'erreur était : "Erreur : ouverture du cache (E:Read error - read (5:Input/output error), The package list or status file could not be parsed or opened)". Habituellement cela signifie que cettains de vos paquets installés ont des dépendances non satisfaites.

Si je refais un apt-get update : certains paquet ne sont pas trouvés (404) et j'ai ce message :
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
W: Verrou non utilisé pour le fichier /var/lib/dpkg/lock en lecture seule

Avec apt-get upgrade :
sudo: unable to open /var/lib/sudo/aurelien/3: Système de fichiers accessible en lecture seulement
W: Verrou non utilisé pour le fichier /var/lib/dpkg/lock en lecture seule
E: Impossible d'écrire sur /var/cache/apt/
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.

Du coup quelques-uns de mes programmes fonctionnent mal.

Je vous remercie d'avance.

Dernière modification par nidecondor (Le 23/02/2013, à 14:05)

Hors ligne

#2 Le 23/02/2013, à 12:07

sucarno

Re : [Résolu] Problème apt-get update - upgrade

Salut,

essaye dans l'ordre

1)

sudo killall -9 apt-get

2)

sudo dpkg --configure -a

3)

sudo apt-get update

4)

sudo apt-get upgrade

Dernière modification par sucarno (Le 23/02/2013, à 12:08)


ouɹɐɔns ||
« La guerre, un massacre de gens qui ne se connaissent pas, au profit de gens qui se connaissent mais ne se massacrent pas. » (Valéry)

Hors ligne

#3 Le 23/02/2013, à 12:10

nidecondor

Re : [Résolu] Problème apt-get update - upgrade

Messages d'erreurs après ces commandes :

1)

sudo: unable to open /var/lib/sudo/aurelien/3: Système de fichiers accessible en lecture seulement
apt-get: aucun processus trouvé

2)

sudo: unable to open /var/lib/sudo/aurelien/3: Système de fichiers accessible en lecture seulement
dpkg : erreur : impossible d'accéder au répertoire administratif de dpkg: Système de fichiers accessible en lecture seulement

Dernière modification par nidecondor (Le 23/02/2013, à 12:33)

Hors ligne

#4 Le 23/02/2013, à 12:17

sucarno

Re : [Résolu] Problème apt-get update - upgrade

salut,

essaye de voir ici pour d'autres solutions.


ouɹɐɔns ||
« La guerre, un massacre de gens qui ne se connaissent pas, au profit de gens qui se connaissent mais ne se massacrent pas. » (Valéry)

Hors ligne

#5 Le 23/02/2013, à 12:32

nidecondor

Re : [Résolu] Problème apt-get update - upgrade

Merci. j'ai bien essayé ces solutions, mais je suis bloqué, tout est en lecture seule...

Hors ligne

#6 Le 23/02/2013, à 12:46

sucarno

Re : [Résolu] Problème apt-get update - upgrade

salut,

il me parait que tu es dans ce cas.


ouɹɐɔns ||
« La guerre, un massacre de gens qui ne se connaissent pas, au profit de gens qui se connaissent mais ne se massacrent pas. » (Valéry)

Hors ligne

#7 Le 23/02/2013, à 13:24

jamesbad000

Re : [Résolu] Problème apt-get update - upgrade

Hello,

peux tu donner le retour des 2 commandes :

sudo mount -l
sudo fdisk -l

L'espace et le temps sont les modes par lesquels nous pensons, et non les conditions dans lesquelles nous vivons. (Signé Albert)

Hors ligne

#8 Le 23/02/2013, à 13:47

nidecondor

Re : [Résolu] Problème apt-get update - upgrade

Ca y est j'ai réussi à tout remettre en ordre. Pour ceux qui serait dans le même cas que moi :  au moment du démarrage, on m'indique qu'il y a des erreurs sur le disque et on me propose de faire une réparation manuelle "M" :

J'ai fait un fsck sur la partition concernée :

fsck /dev/sda6

Ensuite j'ai pu faire

dpkg --configure - a

puis :

apt-get update
apt-get upgrade

Hors ligne

Haut de page ↑